package com.cr.common

import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteDatabase.OPEN_READWRITE
import com.cr.data.CrUtil
import java.io.File

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/31 09:09
 * 描述：管理数据库操作类 网络下载的配置库
 */
class DatabaseConfigManager : DatabaseBaseManager() {
    /**
     * 在此代码块中加入静态方法
     */
    companion object {
        /**
         * 获取静态实例 单例
         * @return DatabaseManager
         */
        fun getInstance() = InstanceHelper.self
    }

    object InstanceHelper {
        var self = DatabaseConfigManager()
    }

    /**
     * 打开配置库
     * @return Boolean
     */
    override fun openConfigDatabase(): Boolean {
        var filePath: String = CrUtil.DATABASE_PATH_CONFIG
        var file: File = File(filePath)
        if (!file.exists()) return false
        if (sqLiteDatabaseConfig == null) {
            sqLiteDatabaseConfig = SQLiteDatabase.openDatabase(filePath, null, OPEN_READWRITE)
        }
        return sqLiteDatabaseConfig!!.isOpen
    }
}